iDashboard for iPad – End Message

Get started now with iDashboard for iPad

The launch of iDashboard for iPad comes as we prepare to retire TREA. The technologies used to write TREA mean that we are no longer able to maintain it and give our users the best possible app experience. We urge all users to upgrade to iDashboard for iPad as TREA will stop functioning when we retire it in the coming weeks.
Whilst TREA users will be required to download iDashboard for iPad and perform an initial re-sync of their account, the new initial sync on iDashboard for iPad is much, much faster and reliable – it will be well worth it for the experience that awaits!
iDashboard for iPad minimum requirements: iOS 7.0 or later, iPad 2 or later, iPad Mini or later.